<?php

if($_REQUEST['ajax']) {

  switch($_REQUEST['code']) {

    case "ftmodule_code":


      if(RetRstField("SELECT ftmodule_code FROM tsmodule WHERE ftmodule_code='{$_REQUEST['ftmodule_code']}'"))
      {
        ?>
          alert('Kode Modul sudah dipakai... ');
        <?php
      }
      else
      {
        ?>
          submitbutton('Simpan','','','','');
        <?php
      }
    break;

  }
    die("");
}



$objAxpDB->ViewName("Daftar Modul Setting");

$objAxpDB->ViewSQL("SELECT  fnid,
                            `ftmodule_code`,
                            `ftmodule_name`,
                            case when fnstatus=0 then 'Tidak Aktif' else 'Aktif' end as Status
                             FROM `tsmodule`");

$objAxpDB->ViewCaption("id,Kode Menu,Nama Modul,Status");

$objAxpDB->FormName("Menu Modul");

$objAxpDB->FormSQL("SELECT   fnid,
                            `ftmodule_code`,
                            `ftmodule_name`,
                            fnstatus
                             FROM `tsmodule`");

$objAxpDB->FormCaption("id,Kode Modul, Nama Modul, Status");

$objAxpDB->FormPosition("HD,TL,TL,TL");

$objAxpDB->SetStatus("id");

$objAxpDB->Lookup('fnstatus', 'SELECT fntrans_status_code, fttrans_status_name FROM tstransaction_status where fntrans_status_code<>2 and fntrans_group_code=9', 'fntrans_status_code', 'fttrans_status_name', 1,true);


if ($objAxpDB->GetStatus("id") == "") {

    $objAxpDB->ButtonShow("baru");

  }elseif($objAxpDB->GetStatus("id") == 0){

    $objAxpDB->ButtonShow("reset, simpan, tutup");

  }elseif($objAxpDB->GetStatus("id") != 0) {

    $objAxpDB->ButtonShow("update, hapus, tutup");

  }



$objAxpDB->Process();
$objAxpDB->WriteHtmlTable();
